<?PHP
    // Make sure all variables are defined

?>
<form action="admin.php" method="post" enctype="multipart/form-data">
<fieldset class="invisiblefieldset">
<input type="hidden" name="userid" value="<?php print $userid; ?>" />
<input type="hidden" name="groupid" value="<?php print $groupid ?>" />
<input type="hidden" name="action" value="<?php print $action; ?>" />
<input type="hidden" name="id" value="<?php print $cm->id ?>" />
<input type="hidden" name="wikipage" value="<?php print $wikipage?>" />
<?php
  $strip_table=wiki_admin_strip_list($form->pagestostrip, $form->version, $err);
  print_table($strip_table);
?>
<div class="boxaligncenter">
<?php
  if(!count($strip_table->data)) {
    print get_string("nothingtostrip","wiki")."<br /><br />";
  }
// (Shirai206): Wikiのページのストリップの選択画面に”すべてを選択する”と”すべての選択を解除する”の二つのボタンを追加する改良 (2010/12/15)
// (Shirai206): ここから追加
    else {
        echo '<p>';
        echo '<button onclick="checkall()">'.get_string('selectall').'</button>';
        echo '&nbsp;&nbsp;';
        echo '<button onclick="uncheckall()">'.get_string('deselectall').'</button>';
        echo '</p>';
    }
// (Shirai206): ここまで追加
?>
  <input type="submit" name="proceed" value="<?php print get_string("strippages","wiki"); ?>" />
</div></fieldset></form>